Vyšlo jQuery 2.0. Končí s podporou staršího Internet Exploreru

Vyšlo jQuery 2.0. Končí s podporou staršího Internet Exploreru

Vyšla nová verze populární javascriptové knihovny jQuery 2.0. Pokud ji začnete používat, je třeba upozornit na známý fakt, že od této verze přestává jQuery podporovat staré verze Internet Exploreru 6, 7 a 8. Vývojový tým nicméně uklidňuje komunitu, že nadále podporuje větev 1.x, která si s těmito prohlížeči rozumí, a brzy uvede verzi 1.10.

JQuery 2.0 podporuje celou plejádu prohlížečů a zařízení včetně vývoje pro Firefox OS, Chrome OS, BlackBerry 10, Windows 8 Metro atp. Nová generace také zeštíhlela o 12 procent a to opět hlavně díky odstranění patchů pro starý Internet Explorer. Další volitelnou optimalizací lze dokonce jQuery 2.0 zmenšit až na méně než 10 kB.

Kompletní seznam novinek a změn pro vývojáře najdete v changelogu.

Ukázka snadného použití jQuery v praxi:

Klepněte pro větší obrázek

Diskuze (50) | Twitter Music konečně spuštěn, ale u nás zatím nefunguje

Témata článku: Programování, Stará verze, Snadné odstranění, Podpora

Určitě si přečtěte


Aktuální číslo časopisu Computer

Zachraňte nefunkční Windows

Jak nakupovat a prodávat kryptoměny

Otestovali jsme konvertibilní notebooky

Velký test 14 herních myší